import type { InputPathToObject, InputPathToValue } from "@octopusdeploy/step-inputs";
import type { InitialInputs } from "./InitialInputs";
import type { CommonInputProps } from "./InputComponents";

export function select<Input>(props: SelectProps<Input>): SelectComponent {
    return {
        type: "select",
        ...props,
    };
}

export interface SelectComponent extends SelectProps<unknown> {
    type: "select";
}

export interface SelectProps<Input> extends CommonInputProps {
    input: InputPathToObject<Input> | InputPathToValue<Input>;
    options: SelectOption<Input>[];
}

export interface SelectOption<Input> {
    label: string;
    newValue: InitialInputs<Input>;
}
